/*
 * (c) Copyright Sysdeo SA 2001, 2002.
 * All Rights Reserved.
 */

package com.sysdeo.eclipse.tomcat;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

/**
 * PreferenceInitializer
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	/**
	 * Constructor
	 */
	public PreferenceInitializer() {
		super();
	}

	/**
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	@Override
	public void initializeDefaultPreferences() {
		IPreferenceStore prefStore = TomcatLauncherPlugin.getDefault().getPreferenceStore();
		prefStore.setDefault(TomcatPluginResources.TOMCAT_PREF_CONFMODE_KEY, TomcatPluginResources.CONTEXTFILES_MODE);
	}
}
